#!/bin/bash

# Tools repository
LIST="jprojects-scripts"

# Libraries and EJBs
LIST="${LIST} \
	jcore jcoreee \
	jcore-logger-lib jcore-logger-ejb \
	jcountry-core jcountry-lib \
	jphone-core jphone-lib \
	jcontacts-core jcontacts-business-core jcontacts-lib \
	juser-core juser-lib \
	jletter-core jletter-lib jletter-ejb \
	jaddressbook-core jaddressbook-lib \
	jmailer-ee \
	jcore-swing \
	jcustomer-core jcustomer-lib \
	jshop-core jshop-ee-lib jshop-ejb \
	jshop-receipt-lib jshop-receipt-ejb"

# Applications and their special libs/EJBs
LIST="${LIST}
	pizzaservice-core pizzaservice-lib pizzaservice-mailer pizzaservice-ejb pizzaservice-swing \
	jjobs-core jjobs-lib jjobs-mailer jjobs-ejb jjobs-war jjobs \
	jrecruiter-core jrecruiter-lib jrecruiter-mailer jrecruiter-ejb jrecruiter-war jrecruiter \
	jratecalc-core jratecalc-lib jratecalc-mailer jratecalc-ejb jratecalc-war jratecalc \
	addressbook-core addressbook-lib addressbook-mailer addressbook-ejb addressbook-war addressbook addressbook-uml"

# BROKEN:
LIST="${LIST} addressbook-swing pizzaservice-war pizzaservice"

# Own home directory
declare -r JPROJECTS_HOME="${PWD}"

# ant binary
ANT_BIN=`which ant`

# Test on .git availability"
for project in ${LIST}; do
	if [ ! -d "${project}" ]
	then
		echo "$0: Project '${project}' not created."
	elif [ ! -f "${project}/.git/config" ]
	then
		echo "$0: Project '${project}' is no GIT project."
		exit 1
	fi
done
