#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	cd "${JPROJECTS_HOME}/${project}" || exit 255
	CHECK_CHANGES=`git commit -a --dry-run | grep "Changes to be committed:"`

	if [ -n "${CHECK_CHANGES}" ]
	then
		echo "$0: Committing '${project}' ..."
		if [ -n "$1" ]
		then
			git commit -a --signoff -S -m "$1" || exit 255
		else
			git commit -a --signoff -S || exit 255
		fi
	else
		echo "$0: Nothing to commit for project '${project}'."
	fi
done

echo "$0: All done."
exit 0
