#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	if [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	cd "${JPROJECTS_HOME}/${project}" || exit 255

	if [ "$1" = "c" ]
	then
		echo "$0: Checkout '${project}' ..."
		git checkout -- .
	fi

	echo "$0: Pulling '${project}' ..."

	git pull transport master
	if [ "$?" != "0" ]
	then
		git pull --all || exit 255
	fi

	if [ "$1" != "s" ]
	then
		echo "$0: Rebasing '${project}' ..."
		git rebase origin/master || exit 255
	fi
done

echo "$0: All done."
exit 0
